#pragma once

#include <stdint.h>
#include <string>
#include <vector>

#include "json.hpp"

namespace BareMinimumCrypto {
	using namespace std;
	
	struct ExpiringSignature {
		// Payload is contained in here
		vector <uint8_t> cert;
		vector <uint8_t> sig;
		
		bool operator == (const ExpiringSignature & o) const;
		bool operator != (const ExpiringSignature & o) const;
	};
}
