#pragma once

#include <optional>
#include <stdint.h>
#include <string>
#include <vector>

namespace BareMinimumCrypto {
	using namespace std;
	
	vector <uint8_t> copy_to_bytes (const string & s);
	
	// Not sure why the Base64 lib fails to provide this API
	string base64_encode (const vector <uint8_t> & v);
	optional <vector <uint8_t>> base64_decode (const string & s);
	
	int test_base64 ();
}
