pub async fn read_git_version () -> Option <String> {
	use tokio::{
		fs::File,
		io::AsyncReadExt,
	};
	
	let mut buf = vec! [0u8; 512];
	
	let mut f = File::open ("git_version.txt").await.ok ()?;
	let bytes_read = f.read (&mut buf).await.ok ()?;
	buf.truncate (bytes_read);
	
	Some (String::from_utf8 (buf).ok ()?)
}
