# Metrics + instance data + log

(K5NPHQHP)

## ptth_server metrics

These are just like Prometheus. Either counters, or gauges, scalar or histograms.

- (X) CPU usage counter
- (X) RAM usage gauge
- ( ) Requests received counter
- ( ) Responses sent counter
- ( ) Tokio gauges?
- ( ) Outbound byte counter
- ( ) Uptime gauge
- ( ) Last seen UTC time
- ( ) Free disk space gauge

## ptth_server instance data

These are captured during process start and then don't change. They're kinda
like metrics, but static.

- (X) Machine ID
- (X) Git version (if possible)
- (X) Server ID
- (X) Random instance ID
- (X) UTC time at startup

## ptth_server logs

Basically what the tracing crate puts out. See if we can route that over the
network?

- Metrics, captured every 5 minutes or whatever
- Probably "warn" level logs from `tracing`
